@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

@import './DrawerGridLayoutMixin.scss';

@mixin DrawerSectionMixin {
  main, footer {
    padding-left: 20px;
    padding-right: 20px;
  }

  footer {
    & > * {
      height: 100%;
    }
  }

  header {
    * {
      font-weight: unset;
      padding: 0;
      margin: 0;
    }

    h2 {
      font-size: 24px;
    }

    p {
      font-size: 12px;
    }
  }
}

#FileLoadingDrawer, #FileDeletionDrawer, #FileSavingDrawer, #QuiddityCreationDrawer, #SipLoginDrawer {
  @include DrawerSectionMixin;
}

#FileLoadingDrawer, #FileDeletionDrawer, #FileSavingDrawer {
  @include DrawerGridLayout;

  li.entry, .row-head, .row-head .label {
    width: auto;
  }

  ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  li {
    margin-bottom: 6px;
  }
}

.FileDeletionEntry, .FileSavingEntry, .FileLoadingEntry {
  display: grid;
  grid-template-columns: auto 50px;
  column-gap: 3px;

  .Checkbox {
    justify-self: center;
    align-self: center;
  }

  .CheckboxContent {
    text-align: center;
    line-height: 20px;
  }
}

#FileSavingDrawer {
  li.entry {
    display: grid;
    grid-template-columns: auto 50px;
    column-gap: 3px;
  }

  svg {
    margin: 2px;
  }
}

#SipLoginDrawer {
  a {
    padding: 8px;
    line-height: 32px;;
  }
}

@include themify('page', $themes) {
  .FileDeletionEntry, .FileSavingEntry, .FileLoadingEntry {
    &-selected {
      background-color: themed('panel-background-selected');
    }

    &:hover {
      background-color: themed('panel-background-hovered');
    }
  }
}
